Page MenuHomePhabricator

Allow searching for all existing filetypes
Closed, ResolvedPublic3 Estimate Story Points

Description

Motivation
When choosing a file type in the interface, we offer a drop down that lists options. Currently this list does not include all possible file types (e.g. png is missing)

Task
Allow searching for all file types

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterCreate file type options dynamically

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 12 2017, 11:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pablo-WMDE set the point value for this task to 3.Jul 26 2017, 11:06 AM
Pablo-WMDE added a subscriber: Pablo-WMDE.EditedAug 22 2017, 5:05 PM

Identified the bug that occurred when running AdvancedSearch tests with the latest mediawiki version. Apparently Qunit.test() does not support the expect amount as (optional) second parameter anymore, but wants it set via a dedicated method. https://gerrit.wikimedia.org/r/#/c/373106/ does the applicable changes.

Culprit, upgrade of qunit from 1.23.1 to v2.4.0 in T170515

However, this raises the question how reliable (with what versions and how they are managed) our CI is.
"mwext-qunit-jessie" on which AdvancedSearch qunit CI is run is still using karma-qunit@1.0.0 & qunitjs@1.23.1
Could not find any tickets addressing the question of bumping the CI version. Maybe @Addshore remembers how this can be done or whom to ask...

Pablo-WMDE added a comment.EditedAug 23 2017, 11:37 AM

https://github.com/wikimedia/mediawiki/blob/master/includes/libs/mime/MimeAnalyzer.php
MimeAnalyzer::getTypesForExtension() + MimeAnalyzer::guessTypesForExtension()

Change 376706 had a related patch set uploaded (by Kai Nissen (WMDE); owner: Kai Nissen (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Create file type options dynamically

https://gerrit.wikimedia.org/r/376706

Change 376706 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Create file type options dynamically

https://gerrit.wikimedia.org/r/376706

Hey @kai.nissen / @gabriel-wmde ,

have you had time to check what happens when a user would specify a height and width for an SVG file?

Specifying a height/width for SVGs seems to work (at least in the sense as there are different results):

I've looked throuh the first 100 entries of SVGs and saw that they all have width/height.

kai.nissen removed kai.nissen as the assignee of this task.Oct 11 2017, 11:32 AM
kai.nissen added a subscriber: kai.nissen.
kai.nissen closed this task as Resolved.Nov 2 2017, 1:47 PM
kai.nissen claimed this task.